package com.namomedia.android;

import android.graphics.Typeface;
import android.widget.TextView;
import org.json.JSONException;
import org.json.JSONObject;

/**
 * Helper class for serializing format information before sending it to the server.
 */
class FormatSerializer {

  /**
   * Append TextView properties to a JSON object.
   */
  static void appendTextViewProps(JSONObject json, TextView textView) throws JSONException {
    json.put("top", textView.getTop());
    json.put("left", textView.getLeft());
    json.put("height", textView.getHeight());
    json.put("width", textView.getWidth());
    json.put("padding_bottom", textView.getCompoundPaddingBottom());
    json.put("padding_right", textView.getCompoundPaddingRight());
    json.put("padding_left", textView.getCompoundPaddingLeft());
    json.put("padding_top", textView.getCompoundPaddingTop());
    json.put("align", textView.getGravity());
    json.put("font_size", textView.getTextSize());
    json.put("color", String.format("#%06X", (0xFFFFFF & textView.getCurrentTextColor())));

    Typeface typeface = textView.getTypeface();
    json.put("bold", typeface != null && typeface.isBold());
    json.put("italic", typeface != null && typeface.isItalic());
  }
}
