package com.namomedia.android;

/**
 * The action type for an Ad.
 *
 * @since 1.0
 */
public enum NamoActionType {
  /**
   * The ad opens an in-app browser with a web URL.
   * @since 1.0
   */
  LINK,

  /**
   * The ad opens in in-app video player with a video feed URL.
   * @since 1.0
   */
  VIDEO,

  /**
   * The ad opens an app install URL, such as an Android Play store URL. The action URL may also
   * link to an intermediary attribution tracing platform before redirecting, such as HasOffers.
   * @since 1.0
   */
  INSTALL
}
