package com.namomedia.android;

/**
 * This interface allows you to listen for ads being returned from the server.
 *
 * @since 1.1.0
 */
public interface NamoAdListener {

  /**
   * Called when ads are returned from the server.
   * <p>
   * You can retrieve the list of ads by their position using the given
   * {@link com.namomedia.android.NamoPositionAdjuster}.
   *
   * @param adjuster The position adjuster containing the complete set of loaded ads for this
   * stream.
   * @since 1.1.0
   */
  void onAdsLoaded(NamoPositionAdjuster adjuster);
}
