package com.namomedia.android;

final class Urls {
  static final String AD_SERVER_URL = "http://r.namomedia.com/ad";
  static final String IMAGE_SERVER_URL = "http://i.namomedia.com";

  private Urls() {
    // Non-instantiable.
  }

  /**
   * Defines the set of valid parameters accepted by the Namo Media servers.
   */
  enum Param {
    // Required params
    APP_ID("app_id"),
    ANDROID_ID("android_id"),
    TEST_MODE("test_mode"),

    // Application level params
    MARKET_APP_ID("market_app_id"),
    APP_VERSION("app_version"),
    USER_INFO("user_info"),
    SEQUENCE("sequence"),
    CONNECTION_TYPE("connection_type"),
    SCREEN_WIDTH("screen_width"),
    SCREEN_HEIGHT("screen_height"),
    SDK_VERSION("sdk_version"),
    LOCAL_TIME("local_time"),
    TIME_SINCE_APP_OPENED("time_since_app_opened"),

    // Request specific params.
    VIEW_ID("view_id"),
    VIEW_SEQUENCE("view_id_sequence"),
    TIME_SINCE_VIEW_OPENED("time_since_view_opened"),
    CARRIER("carrier"),
    FORMAT_TYPE("format_type"),
    CONTINUATION_TOKEN("continuation_token"),

    // Targeting params.
    GENDER("gender"),
    EDUCATION("education"),
    RELATION_STATUS("relationship_status"),
    AGE("age"),
    SEARCH_TERMS("search_terms"),
    BIRTHDAY("birthday"),
    INTEREST("interest"),
    KEYWORD("keyword"),

    // Video params.
    VIDEO_VIEW_LENGTH("video_view_secs"),
    VIDEO_TOTAL_LENGTH("video_length_secs"),

    // Layout information about an ad that was rendered.
    LAYOUT_TEXT_INFO("layout_text_info");

    private final String paramName;

    Param(String value) {
      this.paramName = value;
    }

    String getName() {
      return paramName;
    }
  }
}